$(document).ready(function(){
    var fix_bg = $('.hero').attr("data-src");
    $('.hero').css('background-image', 'url('+fix_bg+')');

    $('.hero-row .normal-mode-col').each(function(){
        var bg_img = $(this).attr("data-src");
        // console.log($(this).attr('data-src'));
        // alert(bg_img);
        var img_src = "<img src='"+bg_img+"'>";
        // alert(img_src);
    });

    // Hero Column Expand and Collapse

    $('.hero-row .normal-mode-col').click(function(){
        var bg_img = $('.product img',this).attr("src");
        // var bg_img = $(this).attr("data-src");
        $('.hero').css('background-image', 'url('+bg_img+')');
        $(this).toggleClass('hero-col-expanded').siblings().removeClass('hero-col-expanded');
        $('.hero-row .normal-mode-col').addClass('hero-col-collapsed');
        $(this).removeClass('hero-col-collapsed');
        var has_expanded = $(this).hasClass( "hero-col-expanded" );
        if(has_expanded == false){
            $('.hero-row .normal-mode-col').removeClass('hero-col-collapsed');
            $('.hero').css('background-image', 'url('+fix_bg+')');
        }
    });

    
});